Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Class IdentityAssertionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.security.spi.IdentityAssertionException

All Implemented Interfaces:
  Serializable

    public class IdentityAssertionException

extends Exception

The `IdentityAssertionException` exception is thrown if an Identity Assertion provider attempts to assert an identity based on token identity information, and that attempt fails.

See Also:
  Serialized Form

Constructor Summary
`IdentityAssertionException()` Constructs an `IdentityAssertionException` with no arguments.
`IdentityAssertionException(String s)` Constructs an `IdentityAssertionException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentityAssertionException

    public IdentityAssertionException()

  Constructs an `IdentityAssertionException` with no arguments.

### IdentityAssertionException

    public IdentityAssertionException(String s)

  Constructs an `IdentityAssertionException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - a String providing additional information about this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD